---
import BasicLayout from '@layouts/Basic.astro'
import '@styles/conceitos.css'
import { nhost } from '@utils/NhostClient'

// The content for page metadata & Open Graph metadata:
const canonicalURL = new URL(Astro.url.pathname, Astro.site);
const metaTitle = "Conceitos de filosofia";
const metaDescription = "Índice de conceitos de filosofia.";
const metaCanonicalURL = canonicalURL.href;
const metaType = "website";
const metaImage = canonicalURL.origin + "/images/Rembrandt_-_The_Philosopher_in_Meditation.jpg";


// Let's get the concepts data to create the index:
const response = await nhost.graphql.request(`
    query {
      concepts(order_by: {title: asc}) {
				title
				slug
      }
    }
  `)
// We save the response in a constant for easier use on the Page Template below:
const concepts = response.data.concepts
---
	
<BasicLayout metaTitle={metaTitle}
						 metaDescription={metaDescription}
						 metaCanonicalURL={metaCanonicalURL}
						 metaType={metaType}
						 metaImage={metaImage}>

	<h1>Conceitos</h1>

	<ul>
		{concepts ? 
			concepts.map((concept) => (
				<li>
					<a href={`/conceito/${concept.slug}`}>
						{concept.title}
					</a>
				</li>
			)) :
			<li>Não há nada por aqui neste momento.</li>
		}
	</ul>
		
</BasicLayout>
